"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Calendar = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const calendar_1 = require("../contexts/calendar");
const props_1 = require("../contexts/props");
const Footer_1 = require("./Footer");
const Month_1 = require("./Month");
const Months_1 = require("./Months");
const Nav_1 = require("./Nav");
/**
 * Render the DayPicker Calendar with navigation and the month grids.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Calendar() {
    var _a, _b, _c, _d;
    const { className, classNames, components, dataAttributes, dir, footer, hideNavigation, hideWeekdayRow, id, lang, nonce, numberOfMonths, showWeekNumber, style, styles, title } = (0, props_1.useProps)();
    const calendar = (0, calendar_1.useCalendar)();
    // Apply classnames according to props
    const cssClassNames = [classNames[UI_1.UI.Calendar]];
    if (className) {
        cssClassNames.push(className);
    }
    if (numberOfMonths > 1) {
        cssClassNames.push(classNames[UI_1.CalendarFlag.hasMultipleMonths]);
    }
    if (showWeekNumber) {
        cssClassNames.push(classNames[UI_1.CalendarFlag.hasWeekNumbers]);
    }
    if (hideWeekdayRow) {
        cssClassNames.push(classNames[UI_1.CalendarFlag.noWeekdays]);
    }
    const Nav = (_a = components === null || components === void 0 ? void 0 : components.Nav) !== null && _a !== void 0 ? _a : Nav_1.Nav;
    const Months = (_b = components === null || components === void 0 ? void 0 : components.Months) !== null && _b !== void 0 ? _b : Months_1.Months;
    const Month = (_c = components === null || components === void 0 ? void 0 : components.Month) !== null && _c !== void 0 ? _c : Month_1.Month;
    const Footer = (_d = components === null || components === void 0 ? void 0 : components.Footer) !== null && _d !== void 0 ? _d : Footer_1.Footer;
    return ((0, jsx_runtime_1.jsxs)("div", { className: cssClassNames.join(" "), style: { ...styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Calendar], ...style }, dir: dir, id: id, lang: lang, nonce: nonce, title: title, ...dataAttributes, children: [(0, jsx_runtime_1.jsx)(Months, { className: classNames[UI_1.UI.Months], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Months], children: calendar.months.map((month, i) => ((0, jsx_runtime_1.jsx)(Month, { "aria-labelledby": id, index: i, month: month }, i))) }), !hideNavigation && (0, jsx_runtime_1.jsx)(Nav, {}), footer && ((0, jsx_runtime_1.jsx)(Footer, { className: classNames[UI_1.UI.Footer], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Footer], children: footer }))] }));
}
exports.Calendar = Calendar;
//# sourceMappingURL=Calendar.js.map