"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Chevron = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
/**
 * Render the chevron icon used in the navigation buttons and dropdowns.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Chevron(props) {
    const { size = 24, orientation = "left" } = props;
    const { classNames } = (0, props_1.useProps)();
    return ((0, jsx_runtime_1.jsxs)("svg", { className: classNames[UI_1.UI.Chevron], width: size, height: size, viewBox: "0 0 24 24", children: [orientation === "up" && ((0, jsx_runtime_1.jsx)("polygon", { points: "6.77 17 12.5 11.43 18.24 17 20 15.28 12.5 8 5 15.28" })), orientation === "down" && ((0, jsx_runtime_1.jsx)("polygon", { points: "6.77 8 12.5 13.57 18.24 8 20 9.72 12.5 17 5 9.72" })), orientation === "left" && ((0, jsx_runtime_1.jsx)("polygon", { points: "15 17.23 9.43 11.5 15 5.76 13.28 4 6 11.5 13.28 19" })), orientation === "right" && ((0, jsx_runtime_1.jsx)("polygon", { points: "8 18.23 13.57 12.5 8 6.76 9.72 5 17 12.5 9.72 20" }))] }));
}
exports.Chevron = Chevron;
//# sourceMappingURL=Chevron.js.map