"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dropdown = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const Chevron_1 = require("./Chevron");
const Option_1 = require("./Option");
const Select_1 = require("./Select");
/**
 * Render a dropdown component to use in the navigation bar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Dropdown(props) {
    var _a, _b, _c;
    const { options, rootClassName, className, ...selectProps } = props;
    const { classNames, components } = (0, props_1.useProps)();
    const cssClassRoot = [classNames[UI_1.UI.DropdownRoot], rootClassName].join(" ");
    const cssClassSelect = [classNames[UI_1.UI.Dropdown], className].join(" ");
    const Select = (_a = components === null || components === void 0 ? void 0 : components.Select) !== null && _a !== void 0 ? _a : Select_1.Select;
    const Option = (_b = components === null || components === void 0 ? void 0 : components.Option) !== null && _b !== void 0 ? _b : Option_1.Option;
    const Chevron = (_c = components === null || components === void 0 ? void 0 : components.Chevron) !== null && _c !== void 0 ? _c : Chevron_1.Chevron;
    const selectedOption = options === null || options === void 0 ? void 0 : options.find(([value]) => value === selectProps.value);
    return ((0, jsx_runtime_1.jsxs)("span", { className: cssClassRoot, children: [(0, jsx_runtime_1.jsx)(Select, { className: cssClassSelect, ...selectProps, children: options === null || options === void 0 ? void 0 : options.map(([value, label]) => ((0, jsx_runtime_1.jsx)(Option, { value: value, children: label }, value))) }), (0, jsx_runtime_1.jsxs)("span", { className: classNames[UI_1.UI.CaptionLabel], "aria-hidden": true, children: [selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption[1], (0, jsx_runtime_1.jsx)(Chevron, { orientation: "down", size: 18 })] })] }));
}
exports.Dropdown = Dropdown;
//# sourceMappingURL=Dropdown.js.map