"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DropdownNav = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const MonthsDropdown_1 = require("./MonthsDropdown");
const YearsDropdown_1 = require("./YearsDropdown");
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function DropdownNav(props) {
    const { classNames, styles } = (0, props_1.useProps)();
    return ((0, jsx_runtime_1.jsxs)("div", { className: classNames[UI_1.UI.DropdownNav], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.DropdownNav], children: [props.showMonths && (0, jsx_runtime_1.jsx)(MonthsDropdown_1.MonthsDropdown, { month: props.month }), props.showYears && (0, jsx_runtime_1.jsx)(YearsDropdown_1.YearsDropdown, { month: props.month })] }));
}
exports.DropdownNav = DropdownNav;
//# sourceMappingURL=DropdownNav.js.map