"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Month = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const MonthCaption_1 = require("./MonthCaption");
const Week_1 = require("./Week");
const Weekdays_1 = require("./Weekdays");
/**
 * Render the grid with the weekday header row and the weeks for the given
 * month.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Month(props) {
    var _a, _b, _c;
    const { id, mode, hideWeekdayRow, components, classNames, styles } = (0, props_1.useProps)();
    const reactId = (0, react_1.useId)();
    const captionId = id ? `${id}-caption-${props.index}` : reactId;
    const gridId = id ? `${id}-grid-${props.index}` : reactId;
    const Weekdays = (_a = components === null || components === void 0 ? void 0 : components.Weekdays) !== null && _a !== void 0 ? _a : Weekdays_1.Weekdays;
    const MonthCaption = (_b = components === null || components === void 0 ? void 0 : components.MonthCaption) !== null && _b !== void 0 ? _b : MonthCaption_1.MonthCaption;
    const Week = (_c = components === null || components === void 0 ? void 0 : components.Week) !== null && _c !== void 0 ? _c : Week_1.Week;
    return ((0, jsx_runtime_1.jsxs)("div", { className: classNames[UI_1.UI.MonthWrapper], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.MonthWrapper], children: [(0, jsx_runtime_1.jsx)(MonthCaption, { id: captionId, month: props.month, index: props.index }), (0, jsx_runtime_1.jsxs)("div", { id: gridId, role: "grid", "aria-multiselectable": mode === "multiple" || mode === "range", "aria-labelledby": captionId, className: classNames[UI_1.UI.Month], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Month], children: [(0, jsx_runtime_1.jsx)(Weekdays, {}), (0, jsx_runtime_1.jsx)("div", { role: "rowgroup", className: classNames[UI_1.UI.Weeks], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Weeks], children: props.month.weeks.map((week, i) => ((0, jsx_runtime_1.jsx)(Week, { week: week, "aria-rowindex": i + (hideWeekdayRow ? 1 : 2) }, week.weekNumber))) })] })] }));
}
exports.Month = Month;
//# sourceMappingURL=Month.js.map