"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MonthCaption = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const DropdownNav_1 = require("./DropdownNav");
/**
 * Render the caption of a month in the calendar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function MonthCaption(props) {
    const { classNames, dropdownNavigation, formatters: { formatCaption }, locale, styles } = (0, props_1.useProps)();
    return ((0, jsx_runtime_1.jsx)("div", { id: props.id, className: classNames[UI_1.UI.MonthCaption], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.MonthCaption], children: dropdownNavigation ? ((0, jsx_runtime_1.jsx)(DropdownNav_1.DropdownNav, { month: props.month, index: props.index, showMonths: true, showYears: true })) : dropdownNavigation ? ((0, jsx_runtime_1.jsx)(DropdownNav_1.DropdownNav, { month: props.month, index: props.index, showMonths: dropdownNavigation === true || dropdownNavigation === "month", showYears: dropdownNavigation === true || dropdownNavigation === "year" })) : ((0, jsx_runtime_1.jsx)("span", { className: classNames[UI_1.UI.CaptionLabel], "aria-live": "polite", children: formatCaption(props.month.date, { locale }) })) }));
}
exports.MonthCaption = MonthCaption;
//# sourceMappingURL=MonthCaption.js.map