"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nav = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const calendar_1 = require("../contexts/calendar");
const props_1 = require("../contexts/props");
const Button_1 = require("./Button");
const Chevron_1 = require("./Chevron");
/**
 * Render the navigation buttons to change the month.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Nav() {
    var _a, _b;
    const { classNames, styles, labels: { labelNext, labelPrevious }, locale, components, id } = (0, props_1.useProps)();
    const calendar = (0, calendar_1.useCalendar)();
    const Button = (_a = components === null || components === void 0 ? void 0 : components.Button) !== null && _a !== void 0 ? _a : Button_1.Button;
    const Chevron = (_b = components === null || components === void 0 ? void 0 : components.Chevron) !== null && _b !== void 0 ? _b : Chevron_1.Chevron;
    return ((0, jsx_runtime_1.jsxs)("div", { role: "toolbar", className: classNames[UI_1.UI.Nav], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Nav], children: [(0, jsx_runtime_1.jsx)(Button, { type: "button", name: "previous-month", className: classNames[UI_1.UI.ButtonPrevious], tabIndex: calendar.previousMonth ? undefined : -1, disabled: calendar.previousMonth ? undefined : true, "aria-label": labelPrevious(calendar.previousMonth, { locale }), "aria-controls": id, onClick: calendar.goToPreviousMonth, children: (0, jsx_runtime_1.jsx)(Chevron, {}) }), (0, jsx_runtime_1.jsx)(Button, { type: "button", name: "next-month", className: classNames[UI_1.UI.ButtonNext], tabIndex: calendar.nextMonth ? undefined : -1, disabled: calendar.nextMonth ? undefined : true, "aria-label": labelNext(calendar.nextMonth, { locale }), "aria-controls": id, onClick: calendar.goToNextMonth, children: (0, jsx_runtime_1.jsx)(Chevron, { orientation: "right" }) })] }));
}
exports.Nav = Nav;
//# sourceMappingURL=Nav.js.map