"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Week = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const getUnixTime_1 = require("date-fns/getUnixTime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const DayWrapper_1 = require("./DayWrapper");
const WeekNumber_1 = require("./WeekNumber");
/**
 * Render a row in the calendar, with the days and the week number.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Week(props) {
    var _a;
    const { styles, classNames, showWeekNumber, components } = (0, props_1.useProps)();
    const WeekNumber = (_a = components === null || components === void 0 ? void 0 : components.WeekNumber) !== null && _a !== void 0 ? _a : WeekNumber_1.WeekNumber;
    return ((0, jsx_runtime_1.jsxs)("div", { role: "row", "aria-rowindex": props["aria-rowindex"], className: classNames[UI_1.UI.Week], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Week], children: [showWeekNumber && (0, jsx_runtime_1.jsx)(WeekNumber, { week: props.week }), props.week.days.map((day, i) => ((0, jsx_runtime_1.jsx)(DayWrapper_1.DayWrapper, { day: day, "aria-colindex": showWeekNumber ? i + 2 : i + 1 }, (0, getUnixTime_1.getUnixTime)(day.date))))] }));
}
exports.Week = Week;
//# sourceMappingURL=Week.js.map