"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WeekNumber = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
/**
 * Render the cell with the number of the week.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function WeekNumber(props) {
    const { classNames, formatters: { formatWeekNumber }, labels: { labelWeekNumber }, locale, styles, onWeekNumberClick } = (0, props_1.useProps)();
    return ((0, jsx_runtime_1.jsx)("div", { role: "rowheader", "aria-colindex": 1, "aria-label": labelWeekNumber(props.week.weekNumber, { locale }), className: classNames[UI_1.UI.WeekNumber], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.WeekNumber], tabIndex: onWeekNumberClick ? 0 : undefined, "data-onclick": onWeekNumberClick ? true : undefined, onClick: (e) => onWeekNumberClick === null || onWeekNumberClick === void 0 ? void 0 : onWeekNumberClick(props.week.weekNumber, props.week.days.map((day) => day.date), e), children: formatWeekNumber(props.week.weekNumber, { locale }) }));
}
exports.WeekNumber = WeekNumber;
//# sourceMappingURL=WeekNumber.js.map