"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weekday = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
/**
 * Render the column header with the weekday name (e.g. "Mo", "Tu", etc.).
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Weekday(props) {
    const { classNames, formatters: { formatWeekdayName }, labels: { labelWeekday, labelWeekNumberHeader }, locale, hideWeekdayRow, styles } = (0, props_1.useProps)();
    return ((0, jsx_runtime_1.jsx)("span", { role: "columnheader", "aria-colindex": props["aria-colindex"], "aria-label": props.weekday
            ? labelWeekday(props.weekday, { locale })
            : labelWeekNumberHeader({ locale }), className: classNames[UI_1.UI.Weekday], style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Weekday], children: !hideWeekdayRow &&
            (props.weekday ? formatWeekdayName(props.weekday, { locale }) : "#") }));
}
exports.Weekday = Weekday;
//# sourceMappingURL=Weekday.js.map