"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weekdays = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const UI_1 = require("../UI");
const props_1 = require("../contexts/props");
const getWeekdays_1 = require("../helpers/getWeekdays");
const Weekday_1 = require("./Weekday");
/**
 * Render the row with the weekday names.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function Weekdays() {
    var _a;
    const { classNames, components, hideWeekdayRow, ISOWeek, locale, showWeekNumber, styles, weekStartsOn } = (0, props_1.useProps)();
    const weekdays = (0, getWeekdays_1.getWeekdays)(locale, weekStartsOn, ISOWeek);
    const Weekday = (_a = components === null || components === void 0 ? void 0 : components.Weekday) !== null && _a !== void 0 ? _a : Weekday_1.Weekday;
    return ((0, jsx_runtime_1.jsxs)("div", { role: "row", hidden: hideWeekdayRow, "aria-rowindex": 1, style: styles === null || styles === void 0 ? void 0 : styles[UI_1.UI.Weekdays], className: classNames[UI_1.UI.Weekdays], onClick: (e) => e.stopPropagation(), children: [showWeekNumber && (0, jsx_runtime_1.jsx)(Weekday, { "aria-colindex": 1 }), weekdays.map((weekday, i) => ((0, jsx_runtime_1.jsx)(Weekday, { weekday: weekday, "aria-colindex": showWeekNumber ? i + 2 : i + 1 }, i)))] }));
}
exports.Weekdays = Weekdays;
//# sourceMappingURL=Weekdays.js.map