"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.YearsDropdown = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const setYear_1 = require("date-fns/setYear");
const startOfMonth_1 = require("date-fns/startOfMonth");
const UI_1 = require("../UI");
const calendar_1 = require("../contexts/calendar");
const props_1 = require("../contexts/props");
const Dropdown_1 = require("./Dropdown");
/**
 * Render the dropdown to change the year.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
function YearsDropdown(props) {
    var _a;
    const { classNames, components, labels: { labelYearDropdown } } = (0, props_1.useProps)();
    const { dropdownOptions: dropdown, goToMonth } = (0, calendar_1.useCalendar)();
    const handleChange = (e) => {
        const month = (0, setYear_1.setYear)((0, startOfMonth_1.startOfMonth)(props.month.date), Number(e.target.value));
        goToMonth(month);
    };
    const Dropdown = (_a = components === null || components === void 0 ? void 0 : components.Dropdown) !== null && _a !== void 0 ? _a : Dropdown_1.Dropdown;
    return ((0, jsx_runtime_1.jsx)(Dropdown, { name: "year", "aria-label": labelYearDropdown(), rootClassName: classNames[UI_1.UI.YearsDropdown], options: dropdown.years, value: props.month.date.getFullYear(), onChange: handleChange }));
}
exports.YearsDropdown = YearsDropdown;
//# sourceMappingURL=YearsDropdown.js.map