"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFormatters = void 0;
const tslib_1 = require("tslib");
const defaultFormatters = tslib_1.__importStar(require("../formatters"));
/** Return the formatters from the props. */
function getFormatters(customFormatters) {
    if ((customFormatters === null || customFormatters === void 0 ? void 0 : customFormatters.formatMonthCaption) && !customFormatters.formatCaption) {
        customFormatters.formatCaption = customFormatters.formatMonthCaption;
    }
    if ((customFormatters === null || customFormatters === void 0 ? void 0 : customFormatters.formatYearCaption) &&
        !customFormatters.formatYearDropdown) {
        customFormatters.formatYearDropdown = customFormatters.formatYearCaption;
    }
    return {
        ...defaultFormatters,
        ...customFormatters
    };
}
exports.getFormatters = getFormatters;
//# sourceMappingURL=getFormatters.js.map