import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { Chevron as DefaultChevron } from "./Chevron";
import { Option as DefaultOption } from "./Option";
import { Select as DefaultSelect } from "./Select";
/**
 * Render a dropdown component to use in the navigation bar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Dropdown(props) {
    var _a, _b, _c;
    const { options, rootClassName, className, ...selectProps } = props;
    const { classNames, components } = useProps();
    const cssClassRoot = [classNames[UI.DropdownRoot], rootClassName].join(" ");
    const cssClassSelect = [classNames[UI.Dropdown], className].join(" ");
    const Select = (_a = components === null || components === void 0 ? void 0 : components.Select) !== null && _a !== void 0 ? _a : DefaultSelect;
    const Option = (_b = components === null || components === void 0 ? void 0 : components.Option) !== null && _b !== void 0 ? _b : DefaultOption;
    const Chevron = (_c = components === null || components === void 0 ? void 0 : components.Chevron) !== null && _c !== void 0 ? _c : DefaultChevron;
    const selectedOption = options === null || options === void 0 ? void 0 : options.find(([value]) => value === selectProps.value);
    return (_jsxs("span", { className: cssClassRoot, children: [_jsx(Select, { className: cssClassSelect, ...selectProps, children: options === null || options === void 0 ? void 0 : options.map(([value, label]) => (_jsx(Option, { value: value, children: label }, value))) }), _jsxs("span", { className: classNames[UI.CaptionLabel], "aria-hidden": true, children: [selectedOption === null || selectedOption === void 0 ? void 0 : selectedOption[1], _jsx(Chevron, { orientation: "down", size: 18 })] })] }));
}
//# sourceMappingURL=Dropdown.js.map