import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { MonthsDropdown } from "./MonthsDropdown";
import { YearsDropdown } from "./YearsDropdown";
/**
 * Render the dropdowns to navigate between months.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function DropdownNav(props) {
    const { classNames, styles } = useProps();
    return (_jsxs("div", { className: classNames[UI.DropdownNav], style: styles === null || styles === void 0 ? void 0 : styles[UI.DropdownNav], children: [props.showMonths && _jsx(MonthsDropdown, { month: props.month }), props.showYears && _jsx(YearsDropdown, { month: props.month })] }));
}
//# sourceMappingURL=DropdownNav.js.map