import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useId } from "react";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { MonthCaption as DefaultMonthCaption } from "./MonthCaption";
import { Week as DefaultWeek } from "./Week";
import { Weekdays as DefaultWeekdays } from "./Weekdays";
/**
 * Render the grid with the weekday header row and the weeks for the given
 * month.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Month(props) {
    var _a, _b, _c;
    const { id, mode, hideWeekdayRow, components, classNames, styles } = useProps();
    const reactId = useId();
    const captionId = id ? `${id}-caption-${props.index}` : reactId;
    const gridId = id ? `${id}-grid-${props.index}` : reactId;
    const Weekdays = (_a = components === null || components === void 0 ? void 0 : components.Weekdays) !== null && _a !== void 0 ? _a : DefaultWeekdays;
    const MonthCaption = (_b = components === null || components === void 0 ? void 0 : components.MonthCaption) !== null && _b !== void 0 ? _b : DefaultMonthCaption;
    const Week = (_c = components === null || components === void 0 ? void 0 : components.Week) !== null && _c !== void 0 ? _c : DefaultWeek;
    return (_jsxs("div", { className: classNames[UI.MonthWrapper], style: styles === null || styles === void 0 ? void 0 : styles[UI.MonthWrapper], children: [_jsx(MonthCaption, { id: captionId, month: props.month, index: props.index }), _jsxs("div", { id: gridId, role: "grid", "aria-multiselectable": mode === "multiple" || mode === "range", "aria-labelledby": captionId, className: classNames[UI.Month], style: styles === null || styles === void 0 ? void 0 : styles[UI.Month], children: [_jsx(Weekdays, {}), _jsx("div", { role: "rowgroup", className: classNames[UI.Weeks], style: styles === null || styles === void 0 ? void 0 : styles[UI.Weeks], children: props.month.weeks.map((week, i) => (_jsx(Week, { week: week, "aria-rowindex": i + (hideWeekdayRow ? 1 : 2) }, week.weekNumber))) })] })] }));
}
//# sourceMappingURL=Month.js.map