import { jsx as _jsx } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { DropdownNav } from "./DropdownNav";
/**
 * Render the caption of a month in the calendar.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function MonthCaption(props) {
    const { classNames, dropdownNavigation, formatters: { formatCaption }, locale, styles } = useProps();
    return (_jsx("div", { id: props.id, className: classNames[UI.MonthCaption], style: styles === null || styles === void 0 ? void 0 : styles[UI.MonthCaption], children: dropdownNavigation ? (_jsx(DropdownNav, { month: props.month, index: props.index, showMonths: true, showYears: true })) : dropdownNavigation ? (_jsx(DropdownNav, { month: props.month, index: props.index, showMonths: dropdownNavigation === true || dropdownNavigation === "month", showYears: dropdownNavigation === true || dropdownNavigation === "year" })) : (_jsx("span", { className: classNames[UI.CaptionLabel], "aria-live": "polite", children: formatCaption(props.month.date, { locale }) })) }));
}
//# sourceMappingURL=MonthCaption.js.map