import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { UI } from "../UI";
import { useCalendar } from "../contexts/calendar";
import { useProps } from "../contexts/props";
import { Button as DefaultButton } from "./Button";
import { Chevron as DefaultChevron } from "./Chevron";
/**
 * Render the navigation buttons to change the month.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Nav() {
    var _a, _b;
    const { classNames, styles, labels: { labelNext, labelPrevious }, locale, components, id } = useProps();
    const calendar = useCalendar();
    const Button = (_a = components === null || components === void 0 ? void 0 : components.Button) !== null && _a !== void 0 ? _a : DefaultButton;
    const Chevron = (_b = components === null || components === void 0 ? void 0 : components.Chevron) !== null && _b !== void 0 ? _b : DefaultChevron;
    return (_jsxs("div", { role: "toolbar", className: classNames[UI.Nav], style: styles === null || styles === void 0 ? void 0 : styles[UI.Nav], children: [_jsx(Button, { type: "button", name: "previous-month", className: classNames[UI.ButtonPrevious], tabIndex: calendar.previousMonth ? undefined : -1, disabled: calendar.previousMonth ? undefined : true, "aria-label": labelPrevious(calendar.previousMonth, { locale }), "aria-controls": id, onClick: calendar.goToPreviousMonth, children: _jsx(Chevron, {}) }), _jsx(Button, { type: "button", name: "next-month", className: classNames[UI.ButtonNext], tabIndex: calendar.nextMonth ? undefined : -1, disabled: calendar.nextMonth ? undefined : true, "aria-label": labelNext(calendar.nextMonth, { locale }), "aria-controls": id, onClick: calendar.goToNextMonth, children: _jsx(Chevron, { orientation: "right" }) })] }));
}
//# sourceMappingURL=Nav.js.map