import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { getUnixTime } from "date-fns/getUnixTime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { DayWrapper } from "./DayWrapper";
import { WeekNumber as DefaultWeekNumber } from "./WeekNumber";
/**
 * Render a row in the calendar, with the days and the week number.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Week(props) {
    var _a;
    const { styles, classNames, showWeekNumber, components } = useProps();
    const WeekNumber = (_a = components === null || components === void 0 ? void 0 : components.WeekNumber) !== null && _a !== void 0 ? _a : DefaultWeekNumber;
    return (_jsxs("div", { role: "row", "aria-rowindex": props["aria-rowindex"], className: classNames[UI.Week], style: styles === null || styles === void 0 ? void 0 : styles[UI.Week], children: [showWeekNumber && _jsx(WeekNumber, { week: props.week }), props.week.days.map((day, i) => (_jsx(DayWrapper, { day: day, "aria-colindex": showWeekNumber ? i + 2 : i + 1 }, getUnixTime(day.date))))] }));
}
//# sourceMappingURL=Week.js.map