import { jsx as _jsx } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
/**
 * Render the cell with the number of the week.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function WeekNumber(props) {
    const { classNames, formatters: { formatWeekNumber }, labels: { labelWeekNumber }, locale, styles, onWeekNumberClick } = useProps();
    return (_jsx("div", { role: "rowheader", "aria-colindex": 1, "aria-label": labelWeekNumber(props.week.weekNumber, { locale }), className: classNames[UI.WeekNumber], style: styles === null || styles === void 0 ? void 0 : styles[UI.WeekNumber], tabIndex: onWeekNumberClick ? 0 : undefined, "data-onclick": onWeekNumberClick ? true : undefined, onClick: (e) => onWeekNumberClick === null || onWeekNumberClick === void 0 ? void 0 : onWeekNumberClick(props.week.weekNumber, props.week.days.map((day) => day.date), e), children: formatWeekNumber(props.week.weekNumber, { locale }) }));
}
//# sourceMappingURL=WeekNumber.js.map