import { jsx as _jsx } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
/**
 * Render the column header with the weekday name (e.g. "Mo", "Tu", etc.).
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Weekday(props) {
    const { classNames, formatters: { formatWeekdayName }, labels: { labelWeekday, labelWeekNumberHeader }, locale, hideWeekdayRow, styles } = useProps();
    return (_jsx("span", { role: "columnheader", "aria-colindex": props["aria-colindex"], "aria-label": props.weekday
            ? labelWeekday(props.weekday, { locale })
            : labelWeekNumberHeader({ locale }), className: classNames[UI.Weekday], style: styles === null || styles === void 0 ? void 0 : styles[UI.Weekday], children: !hideWeekdayRow &&
            (props.weekday ? formatWeekdayName(props.weekday, { locale }) : "#") }));
}
//# sourceMappingURL=Weekday.js.map