import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { UI } from "../UI";
import { useProps } from "../contexts/props";
import { getWeekdays } from "../helpers/getWeekdays";
import { Weekday as DefaultWeekday } from "./Weekday";
/**
 * Render the row with the weekday names.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://react-day-picker.js.org/advanced-guides/custom-components
 */
export function Weekdays() {
    var _a;
    const { classNames, components, hideWeekdayRow, ISOWeek, locale, showWeekNumber, styles, weekStartsOn } = useProps();
    const weekdays = getWeekdays(locale, weekStartsOn, ISOWeek);
    const Weekday = (_a = components === null || components === void 0 ? void 0 : components.Weekday) !== null && _a !== void 0 ? _a : DefaultWeekday;
    return (_jsxs("div", { role: "row", hidden: hideWeekdayRow, "aria-rowindex": 1, style: styles === null || styles === void 0 ? void 0 : styles[UI.Weekdays], className: classNames[UI.Weekdays], onClick: (e) => e.stopPropagation(), children: [showWeekNumber && _jsx(Weekday, { "aria-colindex": 1 }), weekdays.map((weekday, i) => (_jsx(Weekday, { weekday: weekday, "aria-colindex": showWeekNumber ? i + 2 : i + 1 }, i)))] }));
}
//# sourceMappingURL=Weekdays.js.map