import { jsx as _jsx } from "react/jsx-runtime";
import { CalendarProvider } from "./calendar";
import { FocusProvider } from "./focus";
import { ModifiersProvider } from "./modifiers";
import { PropsProvider } from "./props";
import { SelectionProvider } from "./selection";
export * from "./calendar";
export * from "./focus";
export * from "./modifiers";
export * from "./props";
export * from "./selection";
/**
 * Provide the value for all the contexts used by DayPicker.
 *
 * @private
 */
export const ContextProviders = (props) => {
    const { children, ...dayPickerProps } = props;
    return (_jsx(PropsProvider, { ...dayPickerProps, children: _jsx(CalendarProvider, { children: _jsx(SelectionProvider, { children: _jsx(ModifiersProvider, { children: _jsx(FocusProvider, { children: children }) }) }) }) }));
};
//# sourceMappingURL=index.js.map