import { addYears } from "date-fns/addYears";
import { endOfMonth } from "date-fns/endOfMonth";
import { endOfYear } from "date-fns/endOfYear";
import { startOfDay } from "date-fns/startOfDay";
import { startOfMonth } from "date-fns/startOfMonth";
import { startOfYear } from "date-fns/startOfYear";
/**
 * Return the `fromDate` and `toDate` prop values values parsing the DayPicker
 * props.
 */
export function getFromToDate(props) {
    var _a, _b;
    const { fromYear, toYear, fromMonth, toMonth } = props;
    let { fromDate, toDate } = props;
    if (fromMonth) {
        fromDate = startOfMonth(fromMonth);
    }
    else if (fromYear) {
        fromDate = new Date(fromYear, 0, 1);
    }
    else if (!fromDate && props.dropdownNavigation !== undefined) {
        fromDate = startOfYear(addYears((_a = props.today) !== null && _a !== void 0 ? _a : new Date(), -100));
    }
    if (toMonth) {
        toDate = endOfMonth(toMonth);
    }
    else if (toYear) {
        toDate = new Date(toYear, 11, 31);
    }
    else if (!toDate && props.dropdownNavigation) {
        toDate = endOfYear((_b = props.today) !== null && _b !== void 0 ? _b : new Date());
    }
    return {
        fromDate: fromDate ? startOfDay(fromDate) : undefined,
        toDate: toDate ? startOfDay(toDate) : undefined
    };
}
//# sourceMappingURL=getFromToDate.js.map